## gstav

gstav

## Functions

gboolean | gst_ffmpegdemux_register ()
gboolean | gst_ffmpegauddec_register ()
gboolean | gst_ffmpegviddec_register ()
gboolean | gst_ffmpegaudenc_register ()
gboolean | gst_ffmpegvidenc_register ()
gboolean | gst_ffmpegmux_register ()
gboolean | gst_ffmpegscale_register ()
gboolean | gst_ffmpegaudioresample_register ()
gboolean | gst_ffmpegdeinterlace_register ()
int | gst_ffmpeg_avcodec_open ()
int | gst_ffmpeg_avcodec_close ()
int | gst_ffmpeg_av_find_stream_info ()

## Types and Values

#define | GST_CAT_DEFAULT
#define | GST_FFMPEG_URL_STREAMHEADER

## Description

## Functions

### gst_ffmpegdemux_register ()

    gboolean
    gst_ffmpegdemux_register (GstPlugin *plugin);

#### Returns

### gst_ffmpegauddec_register ()

    gboolean
    gst_ffmpegauddec_register (GstPlugin *plugin);

#### Returns

### gst_ffmpegviddec_register ()

    gboolean
    gst_ffmpegviddec_register (GstPlugin *plugin);

#### Returns

### gst_ffmpegaudenc_register ()

    gboolean
    gst_ffmpegaudenc_register (GstPlugin *plugin);

#### Returns

### gst_ffmpegvidenc_register ()

    gboolean
    gst_ffmpegvidenc_register (GstPlugin *plugin);

#### Returns

### gst_ffmpegmux_register ()

    gboolean
    gst_ffmpegmux_register (GstPlugin *plugin);

#### Returns

### gst_ffmpegscale_register ()

    gboolean
    gst_ffmpegscale_register (GstPlugin *plugin);

#### Returns

### gst_ffmpegaudioresample_register ()

    gboolean
    gst_ffmpegaudioresample_register (GstPlugin *plugin);

#### Returns

### gst_ffmpegdeinterlace_register ()

    gboolean
    gst_ffmpegdeinterlace_register (GstPlugin *plugin);

#### Returns

### gst_ffmpeg_avcodec_open ()

    int
    gst_ffmpeg_avcodec_open (AVCodecContext *avctx,
                             AVCodec *codec);

#### Returns

### gst_ffmpeg_avcodec_close ()

    int
    gst_ffmpeg_avcodec_close (AVCodecContext *avctx);

#### Returns

### gst_ffmpeg_av_find_stream_info ()

    int
    gst_ffmpeg_av_find_stream_info (AVFormatContext *ic);

#### Returns

## Types and Values

### GST_CAT_DEFAULT

    #define GST_CAT_DEFAULT ffmpeg_debug

### GST_FFMPEG_URL_STREAMHEADER

    #define GST_FFMPEG_URL_STREAMHEADER 16